stages:
  - build
  - docker

build-binary:
  stage: build
  image: golang:1-stretch
  script:
    - CGO_ENABLED=0 go build
  artifacts:
    paths:
      - porttester
  only:
    - tags
    - web

build-docker:
  stage: docker
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - source ci/set_docker_tag.sh
    - docker build --pull -t "$CI_REGISTRY_IMAGE:$DOCKER_TAG" .
    - docker push "$CI_REGISTRY_IMAGE:$DOCKER_TAG"
  only:
    - tags
    - web
